import Box from "@mui/material/Box";
import Card from "@mui/material/Card";
import CardContent from "@mui/material/CardContent";
import CardMedia from "@mui/material/CardMedia";
import Typography from "@mui/material/Typography";

export default function SkillPaper({
  src,
  bgColor,
  fgColor,
  heading,
  Icon,
  openPhoto,
}) {
  const mediaClick = () => openPhoto(src);
  return (
    <Box>
      <Card
        sx={{
          margin: "0 auto",
          backgroundColor: bgColor,
        }}
      >
        <img
          src={src}
          style={{ width: "100%" }}
          title={`${heading} Pluralsight Score`}
          onClick={mediaClick}
        />
        <CardContent sx={{ color: fgColor, backgroundColor: bgColor }}>
          <Typography variant="h5" component="div">
            <div style={{ display: "inline-flex" }}>
              <h3>{heading}</h3>
              {
                <Icon
                  style={{
                    margin: "auto",
                    marginLeft: 10,
                    width: 24,
                    height: 24,
                  }}
                />
              }
            </div>
          </Typography>
        </CardContent>
      </Card>
    </Box>
  );
}
